"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const packages_1 = require("../utils/packages");
const config_1 = __importDefault(require("../config"));
const files_1 = require("../utils/files");
exports.default = () => __awaiter(this, void 0, void 0, function* () {
    const packages = [];
    try {
        const dirs = yield files_1.readdir(config_1.default.path);
        for (const dir of dirs) {
            const pkgDir = path_1.default.resolve(config_1.default.path, dir);
            if (yield files_1.exists(path_1.default.resolve(pkgDir, 'package.json'))) {
                const pkg = yield packages_1.readPackage(pkgDir);
                packages.push(pkg);
            }
        }
        return packages;
    }
    catch (e) {
        throw e;
    }
});
//# sourceMappingURL=list.js.map