"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const easy_vm_1 = __importDefault(require("easy-vm"));
const path_1 = require("path");
const packages_1 = require("../utils/packages");
const files_1 = require("../utils/files");
const config_1 = __importDefault(require("../config"));
const github_1 = require("../utils/github");
exports.default = (namespace, sandbox = {}, mock = {}) => __awaiter(this, void 0, void 0, function* () {
    const { name } = github_1.parseRepository(namespace);
    if (name) {
        const pluginPath = path_1.resolve(config_1.default.path, name);
        const pkg = yield packages_1.readPackage(pluginPath);
        const mainCode = yield files_1.readFile(path_1.resolve(pluginPath, pkg.main), 'utf8');
        const vm = new easy_vm_1.default({
            require: {
                builtin: ['*'],
                mock: Object.assign({}, mock),
            },
            sandbox,
            console: true,
        });
        return vm.run(mainCode, path_1.resolve(pluginPath, pkg.main));
    }
    throw new Error('Invalid package name');
});
//# sourceMappingURL=run.js.map